<?php
/****************************************
 * Theme Customizer	     
 ****************************************/

//Adds the individual sections, settings, and controls to the theme customizer
function jazzy_customizer( $wp_customize ) {
	
	//Search Option
    // Add settings for output description
    $wp_customize->add_setting( 'search-option', array(
        'default'    		=> 'true',
        'type'       		=> 'option',
		'sanitize_callback' => 'jazzy_sanitize_checkbox',
    	) 
	);

    // Add control and output for select field
    $wp_customize->add_control( 'search-option', array(
        'label'      => __( 'Search Option', 'jazzy' ),
        'section'    => 'title_tagline',
        'settings'   => 'search-option',
        'type'       => 'checkbox',
    	) 
	);	
	
	//Powered By
    // Add settings for output description
    $wp_customize->add_setting( 'poweredby-option', array(
        'default'    		=> 'true',
        'type'       		=> 'option',
		'sanitize_callback' => 'jazzy_sanitize_checkbox',
    	) 
	);

    // Add control and output for select field
    $wp_customize->add_control( 'poweredby-option', array(
        'label'      => __( 'Display Powered by?', 'jazzy' ),
        'section'    => 'title_tagline',
        'settings'   => 'poweredby-option',
        'type'       => 'checkbox',
    	) 
	);	
	
	//Widgets Bar
    // Add settings for output description
    $wp_customize->add_setting( 'sidebar-option', array(
        'default'    		=> 'false',
        'type'       		=> 'option',
		'sanitize_callback' => 'jazzy_sanitize_checkbox',
    	) 
	);

    // Add control and output for select field
    $wp_customize->add_control( 'sidebar-option', array(
        'label'      => __( 'Add sidebar to posts pages?', 'jazzy' ),
        'section'    => 'title_tagline',
        'settings'   => 'sidebar-option',
        'type'       => 'checkbox',
    	) 
	);	
	
	//Navigation Background Color Customizer
	$wp_customize->add_setting(
    	'navbg-color',
    	array(
        	'default'           => '#0E3047',
			'sanitize'  		=> 'sanitize_text_field',
			'sanitize_callback' => 'sanitize_hex_color', 
    	)
	);
 
	$wp_customize->add_control(	
		new WP_Customize_Color_Control(
        	$wp_customize,
        	'navbg-color',
        	array(
            	'label'    => __('Navigation Background Color', 'jazzy'),
            	'section'  => 'colors',
            	'settings' => 'navbg-color'
        	)
   		)
	);
	
	//Link Color Customizer
	$wp_customize->add_setting(
    	'ullink-color',
    	array(
        	'default'           => '#000000',
			'sanitize'  		=> 'sanitize_text_field',
			'sanitize_callback' => 'sanitize_hex_color',
    	)
	);
 
	$wp_customize->add_control(	
		new WP_Customize_Color_Control(
        	$wp_customize,
        	'ullink-color',
        	array(
            	'label'    => __('Link Color', 'jazzy'),
            	'section'  => 'colors',
            	'settings' => 'ullink-color'
        	)
   		)
	);
	
	//Header Background Color Customizer
	$wp_customize->add_setting(
    	'headerbg-color',
    	array(
        	'default' 			=> '#d0d481',
			'sanitize'  		=> 'sanitize_text_field',
			'sanitize_callback' => 'sanitize_hex_color',
    	)
	);
 
	$wp_customize->add_control(	
		new WP_Customize_Color_Control(
        	$wp_customize,
        	'headerbg-color',
        	array(
            	'label'    => __('Header Background', 'jazzy'),
            	'section'  => 'colors',
            	'settings' => 'headerbg-color'
        	)
   		)
	);
	
	//Header Font Color Customizer
	$wp_customize->add_setting(
    	'headerfont-color',
    	array(
        	'default'           => '#696d10',
			'sanitize'  		=> 'sanitize_text_field',
			'sanitize_callback' => 'sanitize_hex_color',
    	)
	);
 
	$wp_customize->add_control(	
		new WP_Customize_Color_Control(
        	$wp_customize,
        	'headerfont-color',
        	array(
            	'label'    => __('Header Font Color', 'jazzy'),
            	'section'  => 'colors',
            	'settings' => 'headerfont-color'
        	)
   		)
	);
	
	//Title Background Color
	$wp_customize->add_setting(
    	'titlebackground-color',
    	array(
        	'default'           => '#FFFFFF',
			'sanitize'  		=> 'sanitize_text_field',
			'sanitize_callback' => 'sanitize_hex_color',
    	)
	);
 
	$wp_customize->add_control(	
		new WP_Customize_Color_Control(
        	$wp_customize,
        	'titlebackground-color',
        	array(
            	'label'    => __('Title Background Color', 'jazzy'),
            	'section'  => 'colors',
            	'settings' => 'titlebackground-color'
        	)
   		)
	);
		
	//Follow US Customizer
    $wp_customize->add_section(
		'followus_settings', 
		array(
			'title' 	  => __('Follow Us Settings', 'jazzy' ),
        	'description' => __( 'Enter in the URL for the corresponding social media sites. Blank entries will not be displayed.', 'jazzy' ),
        	'priority'    => 55,
        )
    );
	
	$wp_customize->add_setting(
		'facebook_link', 
		array(
        	'default' 			=> '',
			'sanitize'          => 'esc_url',
			'sanitize_database' => 'esc_url_raw',
			'sanitize_callback' => 'jazzy_sanitize_text',
    	)
	);
	
	$wp_customize->add_control(
		'facebook_link', 
		array(
        	'label' 	=> __('Facebook Fan Page URL', 'jazzy' ),
        	'section' 	=> 'followus_settings',
        	'type' 		=> 'text',
    	)
	);
	
	$wp_customize->add_setting(
		'twitter_link', 
		array(
        	'default' 			=> '',
			'sanitize'          => 'esc_url',
			'sanitize_database' => 'esc_url_raw',
			'sanitize_callback' => 'jazzy_sanitize_text',
    	)
	);
	
	$wp_customize->add_control(
		'twitter_link', 
		array(
        	'label' 	=> __('Twitter Page URL', 'jazzy' ),
        	'section'	=> 'followus_settings',
        	'type' 		=> 'text',
    	)
	);
	
	$wp_customize->add_setting(
		'linkedin_link', 
		array(
        	'default' 			=> '',
			'sanitize'          => 'esc_url',
			'sanitize_database' => 'esc_url_raw',
			'sanitize_callback' => 'jazzy_sanitize_text',
    	)
	);
	
	$wp_customize->add_control(
		'linkedin_link', 
		array(
        	'label' 	=> __('LinkedIn Page URL', 'jazzy' ),
        	'section' 	=> 'followus_settings',
        	'type' 		=> 'text',
    	)
	);	
}
add_action( 'customize_register', 'jazzy_customizer' );

/****************************************
 * Sanitization Functions
 ****************************************/
function jazzy_sanitize_checkbox( $input ) {
    if ( $input == 'true' ) {
        return 'true';
    } else {
        return '';
    }
}
function jazzy_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
function jazzy_sanitize_text_field( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

if ( ! function_exists( 'jazzy_the_custom_logo' ) ) :
	function jazzy_the_custom_logo() {
		if ( function_exists( 'the_custom_logo' ) ) {
			the_custom_logo();
		}
	}
endif;
/****************************************
 * Customizer CSS
 ****************************************/
function jazzy_customize_css(){
?>
	<style type="text/css">
		body {
			background-color:<?php echo esc_attr(get_background_color()); ?>;
		}
		.menu-header li, .menu ul li, #menu-bottom li {
			border-right: 2px solid <?php echo esc_attr(get_background_color()); ?>;
		}
		.post {
			border: 2px 0px solid <?php echo esc_attr(get_background_color()); ?>;
		}
		#headerwrapper, #social, h3, h2 {
			color:#<?php echo esc_attr(header_textcolor()); ?>;
		}
		<?php if ( has_custom_logo() == ''){ ?>
			#header .left {
				background-position:10% 54%;
				background-image:url( '<?php echo esc_url( get_template_directory_uri() ); ?>/images/test.png');
				background-repeat:no-repeat;
			}
		<?php }?>	
    	.menu-header a:active, .menu-header a:visited, .menu-header a:link, hr, #access,
		.continue a:link, #reply-title, .widget-container h3, .usermenu h3,
		a:link, a:link, a:visited, a:hover, a:active {
			<?php if (get_theme_mod('headerfont-color') == '') {?>
			color:#696d10;
			<?php } else { ?>			
    		color:<?php echo esc_html(get_theme_mod('headerfont-color')) ?>;
			<?php } ?>
		}
		.widget-area a:link, .widget-area a:visited, .widget-area a:hover, .widget-area a:active {
			color:<?php if (get_theme_mod('ullink-color') == '') {
				echo ('#000000');
			} else { 			
    			echo esc_html(get_theme_mod('ullink-color'));} ?>;
		}	
		.text {
			text-shadow:2px 2px 2px <?php if (get_theme_mod('headerfont-color') == '') {
				echo ('#FFFFFF');
			}else {
				echo esc_html(get_theme_mod('headerfont-color')); 
			}
			?>;
		}
		#headerwrapper, #footerwrapper, #colophon {
			background-color:<?php if (get_theme_mod('headerbg-color') == ''){
				echo ('#d0d481');
			} else {
				echo esc_html(get_theme_mod('headerbg-color')); } ?>;
		}
		#headerwrapper, #footerwrapper{
			border-top: 5px solid <?php if (get_theme_mod('navbg-color') == ''){
				echo ('#0E3047');
			} else {
				echo esc_html(get_theme_mod('navbg-color')); } ?>;			
		}		
		#headernav{
			background-color:<?php if(get_theme_mod('navbg-color') == ''){
				echo ('#0E3047');
			} else {
				echo esc_html(get_theme_mod('navbg-color')); } ?>;			
		}
		h2.widgettitle {
			color:<?php if (get_theme_mod('navbg-color') == ''){
				echo ('#0E3047');
			} else {
				echo esc_html(get_theme_mod('navbg-color')); } ?>;			
		}
		#container {
			border: 1px solid <?php if (get_theme_mod('foreground-color') == '') {
				echo ('#d0d481');
			} else { 			
    			echo esc_html(get_theme_mod('foreground-color')); }?>;
		}	
		#access,.widget-container h3, .post, #reply-title, .usermenu {
			background-color:<?php if (get_theme_mod('titlebackground-color') == '') {
				echo ('#FFFFFF');
			}else {
				echo esc_html(get_theme_mod('titlebackground-color')); }?>;
			box-shadow: 1px 1px 3px <?php if (get_theme_mod('headerfont-color') == ''){
				echo ('#FFFFFF');
			}else {
				echo esc_html(get_theme_mod('headerfont-color')); }?>;
		}
		<?php if ( is_home() || is_front_page() == false ) { ?>
			<?php if (get_option( 'sidebar-option' ) == 'true') {?>
			#content {
				width:60%; 
				float:left;
			}
		<?php } ?>
		<?php } ?>
		#header {
			height: <?php if ( ! has_custom_logo() == ''){
				echo('296px');
			} else {
				echo ('180px');
			}?>
		}
		.screen-reader-text:before {
    		content: url('<?php echo esc_url( get_template_directory_uri() ); ?>/images/icons/search-black.png');
		}
		.meta-nav-l:before {
			content: url('<?php echo esc_url( get_template_directory_uri() ); ?>/images/icons/arrow-l-black.png');
		}
		.meta-nav-r:after {
			content: url('<?php echo esc_url( get_template_directory_uri() ); ?>/images/icons/arrow-r-black.png');
		}			
		<?php if (display_header_text() == '') {?>
			.left {
				text-indent: -9999px;
			}
			.text2 { 
				display:none;
			}
		<?php } ?>				
	</style>
<?php
}
add_action( 'wp_head', 'jazzy_customize_css');
 

